<?php

/**
 * The mod_iassign submission created event.
 *
 * @author Patricia Alves Rodrigues
 * @author Leônidas O. Brandão
 * @version v 1.0 2015/07/12
 * @package mod_iassign
 * @since 2015/10/14
 * @copyright iMatica (<a href="http://www.matematica.br">iMath</a>) - Computer Science Dep. of IME-USP (Brazil)
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later 
 */

namespace mod_iassign\event;

defined('MOODLE_INTERNAL') || die();

class course_module_instance_list_viewed extends \core\event\course_module_instance_list_viewed {

  /// Create the event from course record.
  //  @param \stdClass $course
  //  @return course_module_instance_list_viewed
  public static function create_from_course (\stdClass $course) {
    $params = array('context' => \context_course::instance($course->id));
    $event = \mod_iassign\event\course_module_instance_list_viewed::create($params);
    $event->add_record_snapshot('course', $course);
    return $event;
    }

  }
